Subject: [PATCH 0/2] sleeping functions in invalid context on panic fixes

From: Nicholas Piggin <[email-masked]>
Date: Tue, 15 May 2018 01:59:45 +1000

Here's a couple of fixes which seem to solve a problem where
panics can hang forever rather than reboot after 10 seconds. The
symptoms are that a CPU calls panic(), but later it is found in
idle.

Nicholas Piggin (2):
  powerpc/powernv: Fix opal_event_shutdown() called with interrupts
    disabled
  powerpc/powernv: Fix NVRAM sleep in invalid context when crashing

 arch/powerpc/platforms/powernv/opal-irqchip.c |  2 +-
 arch/powerpc/platforms/powernv/opal-nvram.c   | 14 ++++++++++++--
 2 files changed, 13 insertions(+), 3 deletions(-)

-- 
2.17.0